<?php

namespace App\Generated\V1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class AddScoreByFlowerMessage extends Message
{
    use ValueHelper;

    protected $pairId;
    protected $redFlower;
    protected $goldFlower;
    protected $result;

    /**
     * @return int
     */
    public function getPairId()
    {
        return $this->pairId;
    }

    /**
     * @return int
     */
    public function getRedFlower()
    {
        return $this->redFlower;
    }

    /**
     * @return int
     */
    public function getGoldFlower()
    {
        return $this->goldFlower;
    }

    public function requestRules()
    {
        return [
            ['pairId', 'pair_id', 'bail|integer', Constants::INTEGER, null],
            ['redFlower', 'red_flower', 'bail|integer', Constants::INTEGER, null],
            ['goldFlower', 'gold_flower', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
